OSDN Git Service

Merge tag 'upstream/0.3.1.20141226.0'
[canna-yubin/canna-yubin-deb.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (C) 2001 Yoshito Komatsu
18 #               2014, 2015 Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
19 #
20 # This program is free software; you can redistribute it and/or modify it 
21 # under the terms of the GNU General Public License as published 
22 # by the Free Software Foundation; either version 2 of the License,
23 # or (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty
27 # of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
28 # See the GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program;
32 # if not, write to the Free Software Foundation, Inc.,
33 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
34
35 VPATH = @srcdir@
36 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
37 am__make_running_with_option = \
38   case $${target_option-} in \
39       ?) ;; \
40       *) echo "am__make_running_with_option: internal error: invalid" \
41               "target option '$${target_option-}' specified" >&2; \
42          exit 1;; \
43   esac; \
44   has_opt=no; \
45   sane_makeflags=$$MAKEFLAGS; \
46   if $(am__is_gnu_make); then \
47     sane_makeflags=$$MFLAGS; \
48   else \
49     case $$MAKEFLAGS in \
50       *\\[\ \   ]*) \
51         bs=\\; \
52         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
53           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
54     esac; \
55   fi; \
56   skip_next=no; \
57   strip_trailopt () \
58   { \
59     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
60   }; \
61   for flg in $$sane_makeflags; do \
62     test $$skip_next = yes && { skip_next=no; continue; }; \
63     case $$flg in \
64       *=*|--*) continue;; \
65         -*I) strip_trailopt 'I'; skip_next=yes;; \
66       -*I?*) strip_trailopt 'I';; \
67         -*O) strip_trailopt 'O'; skip_next=yes;; \
68       -*O?*) strip_trailopt 'O';; \
69         -*l) strip_trailopt 'l'; skip_next=yes;; \
70       -*l?*) strip_trailopt 'l';; \
71       -[dEDm]) skip_next=yes;; \
72       -[JT]) skip_next=yes;; \
73     esac; \
74     case $$flg in \
75       *$$target_option*) has_opt=yes; break;; \
76     esac; \
77   done; \
78   test $$has_opt = yes
79 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
80 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
81 pkgdatadir = $(datadir)/@PACKAGE@
82 pkgincludedir = $(includedir)/@PACKAGE@
83 pkglibdir = $(libdir)/@PACKAGE@
84 pkglibexecdir = $(libexecdir)/@PACKAGE@
85 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
86 install_sh_DATA = $(install_sh) -c -m 644
87 install_sh_PROGRAM = $(install_sh) -c
88 install_sh_SCRIPT = $(install_sh) -c
89 INSTALL_HEADER = $(INSTALL_DATA)
90 transform = $(program_transform_name)
91 NORMAL_INSTALL = :
92 PRE_INSTALL = :
93 POST_INSTALL = :
94 NORMAL_UNINSTALL = :
95 PRE_UNINSTALL = :
96 POST_UNINSTALL = :
97 subdir = .
98 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
99         $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
100         $(top_srcdir)/configure $(am__configure_deps) COPYING \
101         install-sh missing
102 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
103 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
104 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105         $(ACLOCAL_M4)
106 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
107  configure.lineno config.status.lineno
108 mkinstalldirs = $(install_sh) -d
109 CONFIG_CLEAN_FILES =
110 CONFIG_CLEAN_VPATH_FILES =
111 AM_V_P = $(am__v_P_@AM_V@)
112 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
113 am__v_P_0 = false
114 am__v_P_1 = :
115 AM_V_GEN = $(am__v_GEN_@AM_V@)
116 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
117 am__v_GEN_0 = @echo "  GEN     " $@;
118 am__v_GEN_1 = 
119 AM_V_at = $(am__v_at_@AM_V@)
120 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
121 am__v_at_0 = @
122 am__v_at_1 = 
123 SOURCES =
124 DIST_SOURCES =
125 am__can_run_installinfo = \
126   case $$AM_UPDATE_INFO_DIR in \
127     n|no|NO) false;; \
128     *) (install-info --version) >/dev/null 2>&1;; \
129   esac
130 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
131 am__vpath_adj = case $$p in \
132     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
133     *) f=$$p;; \
134   esac;
135 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
136 am__install_max = 40
137 am__nobase_strip_setup = \
138   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
139 am__nobase_strip = \
140   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
141 am__nobase_list = $(am__nobase_strip_setup); \
142   for p in $$list; do echo "$$p $$p"; done | \
143   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
144   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
145     if (++n[$$2] == $(am__install_max)) \
146       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
147     END { for (dir in files) print dir, files[dir] }'
148 am__base_list = \
149   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
150   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
151 am__uninstall_files_from_dir = { \
152   test -z "$$files" \
153     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
154     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
155          $(am__cd) "$$dir" && rm -f $$files; }; \
156   }
157 am__installdirs = "$(DESTDIR)$(cannadicdir)" "$(DESTDIR)$(wnndicdir)"
158 DATA = $(cannadic_DATA) $(wnndic_DATA)
159 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
160 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
161 distdir = $(PACKAGE)-$(VERSION)
162 top_distdir = $(distdir)
163 am__remove_distdir = \
164   if test -d "$(distdir)"; then \
165     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
166       && rm -rf "$(distdir)" \
167       || { sleep 5 && rm -rf "$(distdir)"; }; \
168   else :; fi
169 am__post_remove_distdir = $(am__remove_distdir)
170 DIST_ARCHIVES = $(distdir).tar.gz
171 GZIP_ENV = --best
172 DIST_TARGETS = dist-gzip
173 distuninstallcheck_listfiles = find . -type f -print
174 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
175   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
176 distcleancheck_listfiles = find . -type f -print
177 ACLOCAL = @ACLOCAL@
178 AMTAR = @AMTAR@
179 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
180 ATOD = @ATOD@
181 AUTOCONF = @AUTOCONF@
182 AUTOHEADER = @AUTOHEADER@
183 AUTOMAKE = @AUTOMAKE@
184 AWK = @AWK@
185 CANNADICDIR = @CANNADICDIR@
186 CANNATARGETS = @CANNATARGETS@
187 CYGPATH_W = @CYGPATH_W@
188 DEFS = @DEFS@
189 ECHO_C = @ECHO_C@
190 ECHO_N = @ECHO_N@
191 ECHO_T = @ECHO_T@
192 INSTALL = @INSTALL@
193 INSTALL_DATA = @INSTALL_DATA@
194 INSTALL_PROGRAM = @INSTALL_PROGRAM@
195 INSTALL_SCRIPT = @INSTALL_SCRIPT@
196 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
197 LIBOBJS = @LIBOBJS@
198 LIBS = @LIBS@
199 LTLIBOBJS = @LTLIBOBJS@
200 MAKEINFO = @MAKEINFO@
201 MKBINDIC = @MKBINDIC@
202 MKDIR_P = @MKDIR_P@
203 PACKAGE = @PACKAGE@
204 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
205 PACKAGE_NAME = @PACKAGE_NAME@
206 PACKAGE_STRING = @PACKAGE_STRING@
207 PACKAGE_TARNAME = @PACKAGE_TARNAME@
208 PACKAGE_URL = @PACKAGE_URL@
209 PACKAGE_VERSION = @PACKAGE_VERSION@
210 PATH_SEPARATOR = @PATH_SEPARATOR@
211 SET_MAKE = @SET_MAKE@
212 SHELL = @SHELL@
213 STRIP = @STRIP@
214 VERSION = @VERSION@
215 WNNDICDIR = @WNNDICDIR@
216 WNNTARGETS = @WNNTARGETS@
217 abs_builddir = @abs_builddir@
218 abs_srcdir = @abs_srcdir@
219 abs_top_builddir = @abs_top_builddir@
220 abs_top_srcdir = @abs_top_srcdir@
221 am__leading_dot = @am__leading_dot@
222 am__tar = @am__tar@
223 am__untar = @am__untar@
224 bindir = @bindir@
225 build_alias = @build_alias@
226 builddir = @builddir@
227 datadir = @datadir@
228 datarootdir = @datarootdir@
229 docdir = @docdir@
230 dvidir = @dvidir@
231 exec_prefix = @exec_prefix@
232 host_alias = @host_alias@
233 htmldir = @htmldir@
234 includedir = @includedir@
235 infodir = @infodir@
236 install_sh = @install_sh@
237 libdir = @libdir@
238 libexecdir = @libexecdir@
239 localedir = @localedir@
240 localstatedir = @localstatedir@
241 mandir = @mandir@
242 mkdir_p = @mkdir_p@
243 oldincludedir = @oldincludedir@
244 pdfdir = @pdfdir@
245 prefix = @prefix@
246 program_transform_name = @program_transform_name@
247 psdir = @psdir@
248 sbindir = @sbindir@
249 sharedstatedir = @sharedstatedir@
250 srcdir = @srcdir@
251 sysconfdir = @sysconfdir@
252 target_alias = @target_alias@
253 top_build_prefix = @top_build_prefix@
254 top_builddir = @top_builddir@
255 top_srcdir = @top_srcdir@
256 AUTOMAKE_OPTIONS = check-news
257 SUFFIXES = .ctb .cbd .cld
258 EXTRA_DIST = yu2.PL KEN_ALL.CSV JIGYOSYO.CSV README.eucJP COPYING.GPL2
259 CLEANFILES = @CANNATARGETS@ $(CANNATMPFILE) @WNNTARGETS@
260 cannadic_DATA = @CANNATARGETS@
261 cannadicdir = @CANNADICDIR@
262 CANNATMPFILE = yubin7.ctd
263 wnndic_DATA = @WNNTARGETS@
264 wnndicdir = @WNNDICDIR@
265 all: all-am
266
267 .SUFFIXES:
268 .SUFFIXES: .ctb .cbd .cld .ctd
269 am--refresh: Makefile
270         @:
271 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
272         @for dep in $?; do \
273           case '$(am__configure_deps)' in \
274             *$$dep*) \
275               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
276               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
277                 && exit 0; \
278               exit 1;; \
279           esac; \
280         done; \
281         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
282         $(am__cd) $(top_srcdir) && \
283           $(AUTOMAKE) --gnu Makefile
284 .PRECIOUS: Makefile
285 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
286         @case '$?' in \
287           *config.status*) \
288             echo ' $(SHELL) ./config.status'; \
289             $(SHELL) ./config.status;; \
290           *) \
291             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
292             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
293         esac;
294
295 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
296         $(SHELL) ./config.status --recheck
297
298 $(top_srcdir)/configure:  $(am__configure_deps)
299         $(am__cd) $(srcdir) && $(AUTOCONF)
300 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
301         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
302 $(am__aclocal_m4_deps):
303 install-cannadicDATA: $(cannadic_DATA)
304         @$(NORMAL_INSTALL)
305         @list='$(cannadic_DATA)'; test -n "$(cannadicdir)" || list=; \
306         if test -n "$$list"; then \
307           echo " $(MKDIR_P) '$(DESTDIR)$(cannadicdir)'"; \
308           $(MKDIR_P) "$(DESTDIR)$(cannadicdir)" || exit 1; \
309         fi; \
310         for p in $$list; do \
311           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
312           echo "$$d$$p"; \
313         done | $(am__base_list) | \
314         while read files; do \
315           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cannadicdir)'"; \
316           $(INSTALL_DATA) $$files "$(DESTDIR)$(cannadicdir)" || exit $$?; \
317         done
318
319 uninstall-cannadicDATA:
320         @$(NORMAL_UNINSTALL)
321         @list='$(cannadic_DATA)'; test -n "$(cannadicdir)" || list=; \
322         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
323         dir='$(DESTDIR)$(cannadicdir)'; $(am__uninstall_files_from_dir)
324 install-wnndicDATA: $(wnndic_DATA)
325         @$(NORMAL_INSTALL)
326         @list='$(wnndic_DATA)'; test -n "$(wnndicdir)" || list=; \
327         if test -n "$$list"; then \
328           echo " $(MKDIR_P) '$(DESTDIR)$(wnndicdir)'"; \
329           $(MKDIR_P) "$(DESTDIR)$(wnndicdir)" || exit 1; \
330         fi; \
331         for p in $$list; do \
332           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
333           echo "$$d$$p"; \
334         done | $(am__base_list) | \
335         while read files; do \
336           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(wnndicdir)'"; \
337           $(INSTALL_DATA) $$files "$(DESTDIR)$(wnndicdir)" || exit $$?; \
338         done
339
340 uninstall-wnndicDATA:
341         @$(NORMAL_UNINSTALL)
342         @list='$(wnndic_DATA)'; test -n "$(wnndicdir)" || list=; \
343         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
344         dir='$(DESTDIR)$(wnndicdir)'; $(am__uninstall_files_from_dir)
345 tags TAGS:
346
347 ctags CTAGS:
348
349 cscope cscopelist:
350
351
352 distdir: $(DISTFILES)
353         @case `sed 15q $(srcdir)/NEWS` in \
354         *"$(VERSION)"*) : ;; \
355         *) \
356           echo "NEWS not updated; not releasing" 1>&2; \
357           exit 1;; \
358         esac
359         $(am__remove_distdir)
360         test -d "$(distdir)" || mkdir "$(distdir)"
361         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
362         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
363         list='$(DISTFILES)'; \
364           dist_files=`for file in $$list; do echo $$file; done | \
365           sed -e "s|^$$srcdirstrip/||;t" \
366               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
367         case $$dist_files in \
368           */*) $(MKDIR_P) `echo "$$dist_files" | \
369                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
370                            sort -u` ;; \
371         esac; \
372         for file in $$dist_files; do \
373           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
374           if test -d $$d/$$file; then \
375             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
376             if test -d "$(distdir)/$$file"; then \
377               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
378             fi; \
379             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
380               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
381               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
382             fi; \
383             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
384           else \
385             test -f "$(distdir)/$$file" \
386             || cp -p $$d/$$file "$(distdir)/$$file" \
387             || exit 1; \
388           fi; \
389         done
390         -test -n "$(am__skip_mode_fix)" \
391         || find "$(distdir)" -type d ! -perm -755 \
392                 -exec chmod u+rwx,go+rx {} \; -o \
393           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
394           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
395           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
396         || chmod -R a+r "$(distdir)"
397 dist-gzip: distdir
398         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
399         $(am__post_remove_distdir)
400
401 dist-bzip2: distdir
402         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
403         $(am__post_remove_distdir)
404
405 dist-lzip: distdir
406         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
407         $(am__post_remove_distdir)
408
409 dist-xz: distdir
410         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
411         $(am__post_remove_distdir)
412
413 dist-tarZ: distdir
414         @echo WARNING: "Support for shar distribution archives is" \
415                        "deprecated." >&2
416         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
417         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
418         $(am__post_remove_distdir)
419
420 dist-shar: distdir
421         @echo WARNING: "Support for distribution archives compressed with" \
422                        "legacy program 'compress' is deprecated." >&2
423         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
424         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
425         $(am__post_remove_distdir)
426
427 dist-zip: distdir
428         -rm -f $(distdir).zip
429         zip -rq $(distdir).zip $(distdir)
430         $(am__post_remove_distdir)
431
432 dist dist-all:
433         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
434         $(am__post_remove_distdir)
435
436 # This target untars the dist file and tries a VPATH configuration.  Then
437 # it guarantees that the distribution is self-contained by making another
438 # tarfile.
439 distcheck: dist
440         case '$(DIST_ARCHIVES)' in \
441         *.tar.gz*) \
442           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
443         *.tar.bz2*) \
444           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
445         *.tar.lz*) \
446           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
447         *.tar.xz*) \
448           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
449         *.tar.Z*) \
450           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
451         *.shar.gz*) \
452           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
453         *.zip*) \
454           unzip $(distdir).zip ;;\
455         esac
456         chmod -R a-w $(distdir)
457         chmod u+w $(distdir)
458         mkdir $(distdir)/_build $(distdir)/_inst
459         chmod a-w $(distdir)
460         test -d $(distdir)/_build || exit 0; \
461         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
462           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
463           && am__cwd=`pwd` \
464           && $(am__cd) $(distdir)/_build \
465           && ../configure \
466             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
467             $(DISTCHECK_CONFIGURE_FLAGS) \
468             --srcdir=.. --prefix="$$dc_install_base" \
469           && $(MAKE) $(AM_MAKEFLAGS) \
470           && $(MAKE) $(AM_MAKEFLAGS) dvi \
471           && $(MAKE) $(AM_MAKEFLAGS) check \
472           && $(MAKE) $(AM_MAKEFLAGS) install \
473           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
474           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
475           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
476                 distuninstallcheck \
477           && chmod -R a-w "$$dc_install_base" \
478           && ({ \
479                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
480                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
481                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
482                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
483                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
484               } || { rm -rf "$$dc_destdir"; exit 1; }) \
485           && rm -rf "$$dc_destdir" \
486           && $(MAKE) $(AM_MAKEFLAGS) dist \
487           && rm -rf $(DIST_ARCHIVES) \
488           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
489           && cd "$$am__cwd" \
490           || exit 1
491         $(am__post_remove_distdir)
492         @(echo "$(distdir) archives ready for distribution: "; \
493           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
494           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
495 distuninstallcheck:
496         @test -n '$(distuninstallcheck_dir)' || { \
497           echo 'ERROR: trying to run $@ with an empty' \
498                '$$(distuninstallcheck_dir)' >&2; \
499           exit 1; \
500         }; \
501         $(am__cd) '$(distuninstallcheck_dir)' || { \
502           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
503           exit 1; \
504         }; \
505         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
506            || { echo "ERROR: files left after uninstall:" ; \
507                 if test -n "$(DESTDIR)"; then \
508                   echo "  (check DESTDIR support)"; \
509                 fi ; \
510                 $(distuninstallcheck_listfiles) ; \
511                 exit 1; } >&2
512 distcleancheck: distclean
513         @if test '$(srcdir)' = . ; then \
514           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
515           exit 1 ; \
516         fi
517         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
518           || { echo "ERROR: files left in build directory after distclean:" ; \
519                $(distcleancheck_listfiles) ; \
520                exit 1; } >&2
521 check-am: all-am
522 check: check-am
523 all-am: Makefile $(DATA)
524 installdirs:
525         for dir in "$(DESTDIR)$(cannadicdir)" "$(DESTDIR)$(wnndicdir)"; do \
526           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
527         done
528 install: install-am
529 install-exec: install-exec-am
530 install-data: install-data-am
531 uninstall: uninstall-am
532
533 install-am: all-am
534         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
535
536 installcheck: installcheck-am
537 install-strip:
538         if test -z '$(STRIP)'; then \
539           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
540             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
541               install; \
542         else \
543           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
544             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
545             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
546         fi
547 mostlyclean-generic:
548
549 clean-generic:
550         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
551
552 distclean-generic:
553         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
554         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
555
556 maintainer-clean-generic:
557         @echo "This command is intended for maintainers to use"
558         @echo "it deletes files that may require special tools to rebuild."
559 clean: clean-am
560
561 clean-am: clean-generic mostlyclean-am
562
563 distclean: distclean-am
564         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
565         -rm -f Makefile
566 distclean-am: clean-am distclean-generic
567
568 dvi: dvi-am
569
570 dvi-am:
571
572 html: html-am
573
574 html-am:
575
576 info: info-am
577
578 info-am:
579
580 install-data-am: install-cannadicDATA install-wnndicDATA
581
582 install-dvi: install-dvi-am
583
584 install-dvi-am:
585
586 install-exec-am:
587
588 install-html: install-html-am
589
590 install-html-am:
591
592 install-info: install-info-am
593
594 install-info-am:
595
596 install-man:
597
598 install-pdf: install-pdf-am
599
600 install-pdf-am:
601
602 install-ps: install-ps-am
603
604 install-ps-am:
605
606 installcheck-am:
607
608 maintainer-clean: maintainer-clean-am
609         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
610         -rm -rf $(top_srcdir)/autom4te.cache
611         -rm -f Makefile
612 maintainer-clean-am: distclean-am maintainer-clean-generic
613
614 mostlyclean: mostlyclean-am
615
616 mostlyclean-am: mostlyclean-generic
617
618 pdf: pdf-am
619
620 pdf-am:
621
622 ps: ps-am
623
624 ps-am:
625
626 uninstall-am: uninstall-cannadicDATA uninstall-wnndicDATA
627
628 .MAKE: install-am install-strip
629
630 .PHONY: all all-am am--refresh check check-am clean clean-generic \
631         cscopelist-am ctags-am dist dist-all dist-bzip2 dist-gzip \
632         dist-lzip dist-shar dist-tarZ dist-xz dist-zip distcheck \
633         distclean distclean-generic distcleancheck distdir \
634         distuninstallcheck dvi dvi-am html html-am info info-am \
635         install install-am install-cannadicDATA install-data \
636         install-data-am install-dvi install-dvi-am install-exec \
637         install-exec-am install-html install-html-am install-info \
638         install-info-am install-man install-pdf install-pdf-am \
639         install-ps install-ps-am install-strip install-wnndicDATA \
640         installcheck installcheck-am installdirs maintainer-clean \
641         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
642         pdf-am ps ps-am tags-am uninstall uninstall-am \
643         uninstall-cannadicDATA uninstall-wnndicDATA
644
645
646 $(wnndic_DATA):
647         $(top_srcdir)/yu2.PL --yubin=$(top_srcdir)/KEN_ALL.CSV --jigyosho=$(top_srcdir)/JIGYOSYO.CSV --ime=wnn | $(ATOD) -s 200000 $@
648
649 $(cannadic_DATA): $(CANNATMPFILE)
650
651 $(CANNATMPFILE):
652         $(top_srcdir)/yu2.PL --yubin=$(top_srcdir)/KEN_ALL.CSV --jigyosho=$(top_srcdir)/JIGYOSYO.CSV >$@
653
654 .ctd.cbd:
655         $(MKBINDIC) $<
656
657 .ctd.cld:
658         $(MKBINDIC) $<
659
660 # Tell versions [3.59,3.63) of GNU make to not export all variables.
661 # Otherwise a system limit (for SysV at least) may be exceeded.
662 .NOEXPORT: